# Generated by Django 5.1.4 on 2025-01-13 03:35

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('bookings', '0001_initial'),
        ('project_design', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Participation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pseudonym', models.CharField(max_length=64, verbose_name='Pseudonym')),
                ('status', models.IntegerField(choices=[(0, 'Declined'), (1, 'Pending'), (2, 'Canceled'), (3, 'Finished')], default=0)),
                ('experiment', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='project_design.experiment', verbose_name='Experiment')),
            ],
            options={
                'verbose_name': 'Participation',
                'verbose_name_plural': 'Participations',
                'ordering': ('experiment', 'status'),
            },
        ),
        migrations.CreateModel(
            name='Attendance',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start', models.DateTimeField(verbose_name='Start')),
                ('end', models.DateTimeField(verbose_name='End')),
                ('status', models.IntegerField(choices=[(0, 'Scheduled'), (1, 'Canceled'), (2, 'Finished')], default=0)),
                ('booking', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='bookings.booking', verbose_name='Booking')),
                ('participation', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='participations.participation', verbose_name='Participation')),
            ],
            options={
                'verbose_name': 'Attendance',
                'verbose_name_plural': 'Attendances',
                'ordering': ('participation', 'status'),
            },
        ),
    ]
